<?php
namespace Inti\Db;

/**
 * Class ConfigProvider
 *
 * @package Inti\Db
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-db
 */
final class ConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'dependencies' => $this->getDependencies(),
        ];
    }

    /**
     * @return array
     */
    public function getDependencies(): array
    {
        return [
            'factories' => [
                Connection\ConnectionManager::class => Connection\ConnectionManagerFactory::class,
            ],
        ];
    }
}
